Subject: Re: bug#5723: 23.1.94; make-network-process and emacs hangs

From: Leo <[email-masked]>
Date: Wed, 17 Mar 2010 12:01:16 +0000

On 2010-03-16 00:45 +0000, YAMAMOTO Mitsuharu wrote:
>> make-network-process calls getaddrinfo and C-g doesn't work properly
>> during that call.  It's only observable if the name server is slow
>> or misconfigured.
>
>> glibc has a asynchronous variant getaddrinfo_a (in libanl.so) which
>> uses threads internally and quickly passes control back to the
>> caller.  That could be used on GNU/Linux but the OP uses a Mac.
>
> I guess OP's case is about `connect' rather than `getaddrinfo'.
>
>   http://lists.gnu.org/archive/html/emacs-devel/2009-08/msg00148.html
>
> Leo, can you check where it blocks (using GDB), and whether giving
> --without-sync-input as a configure option changes the situation
> (using the X11 build, preferably)?

With this option and build emacs with X11, I can't start the gui
version, getting this error:

Xlib: unexpected async reply (sequence 0x5c)!

Starting emacs with emacs -nw I can quit with C-g nicely. 

I have no luck with --with-mac, C-g still can not stop the process.

Leo